import { Pages } from './Routes';

export type RootStackParamList = {
  [Pages.HomeScreen]: undefined;
  [Pages.OpacityScreen]: undefined;
  [Pages.TranslationScreen]: undefined;
  [Pages.ScaleScreen]: undefined;
  [Pages.ScaleXYScreen]: undefined;
  [Pages.ScaleReverseScreen]: undefined;
  [Pages.HeightValueScreen]: undefined;
  [Pages.AbsolutePositionScreen]: undefined;
  [Pages.ColorScreen]: undefined;
  [Pages.RotationScreen]: undefined;
  [Pages.RotationYScreen]: undefined;
  [Pages.WidhtHeightPercentageScreen]: undefined;
  [Pages.EasingBackScreen]: undefined;
  [Pages.EasingBounceScreen]: undefined;
  [Pages.EasingElasticScreen]: undefined;
  [Pages.EasingBezierScreen]: undefined;
  [Pages.SpringScreen]: undefined;
  [Pages.LoopScreen]: undefined;
  [Pages.EventScreen]: undefined;
  [Pages.DecayScreen]: undefined;
  [Pages.MathAddScreen]: undefined;
  [Pages.MathDivideScreen]: undefined;
  [Pages.MathMultiplyScreen]: undefined;
  [Pages.MathModuloScreen]: undefined;
  [Pages.ParallelAnimationsScreen]: undefined;
  [Pages.SequenceAnimationsScreen]: undefined;
  [Pages.StaggerScreen]: undefined;
  [Pages.DelayScreen]: undefined;
  [Pages.NumberInterpolationScreen]: undefined;
  [Pages.ColorInterpolationScreen]: undefined;
  [Pages.ExtrapolateScreen]: undefined;
  [Pages.GesturesAndAnimationsScreen]: undefined;
  [Pages.CreateAnimatedComponentScreen]: undefined;
  [Pages.SetNativePropsScreen]: undefined;
  [Pages.D3InterpolateScreen]: undefined;
  [Pages.D3InterpolatePathScreen]: undefined;
  [Pages.ArtAndTweenScreen]: undefined;
  [Pages.FlubberScreen]: undefined;
  [Pages.Dot99Cliff]: undefined;
  [Pages.HiddenScreen]: undefined;
  [Pages.InterruptionScreen]: undefined;
  [Pages.PointerEventsScreen]: undefined;
  [Pages._4CornersScreen]: undefined;
  [Pages.StaggeredHeadsScreen]: undefined;
  [Pages.KittenCardsScreen]: undefined;
  [Pages.StaggerOnMountScreen]: undefined;
  [Pages.ProgressBarButtonScreen]: undefined;
  [Pages.NotificationsScreen]: undefined;
  [Pages.QuestionnaireScreen]: undefined;
  [Pages.PhotoGridScreen]: undefined;
  [Pages.ColorPickerScreen]: undefined;
  [Pages.FloatingActionButtonScreen]: undefined;
  [Pages.IntroScreenScreen]: undefined;
  [Pages.EvolvingButtonScreen]: undefined;
  [Pages.SocialCommentModalScreen]: undefined;
  [Pages.HorizontalParallaxScreen]: undefined;
  [Pages.FloatingHeartsScreen]: undefined;
  [Pages.BouncingHeartScreen]: undefined;
  [Pages.ExploadingHeartScreen]: undefined;
  [Pages.ExpandingNotifyInputScreen]: undefined;
};
